Bug 1797688 - Machine API phase contains incorrect values in the description
Summary: Machine API phase contains incorrect values in the description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 16:30 UTC by Michael McCune
Modified: 2020-05-15 15:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The descriptions for Machine phases were incorrect in the Machine Custom Resource Definition. Consequence: The Machine CRD did not accurately reflect the phases for the Machine resource. Fix: Correct the values in the Machine CRD manifest description field. Result: The description for the Machine resource phases now accurately reflect the true phases.
Clone Of:
Environment:
Last Closed: 2020-05-15 15:58:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-api-operator pull 486 None closed Bug 1797688: update description for MachineState phases 2020-05-15 14:35:28 UTC

Description Michael McCune 2020-02-03 16:30:46 UTC
Description of problem:

Machine API phase contains incorrect values in the description which propagate to the CRD description when the generated files are created.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jianwei Hou 2020-02-06 03:49:54 UTC
Verified this has been fixed in 4.4.0-0.nightly-2020-02-05-181112.


Note You need to log in before you can comment on or make changes to this bug.